dpkg-name(1)

NAME
dpkg-name - Debian-Pakete zu vollen Paketnamen umbenennen

SYNOPSIS
dpkg-name [-a|--no-architecture] [-o|--overwrite] [-s|--subdir [Verzeichnis]] [-c|--create-dir] [-h|--help] [-v|--version] [-l|--license] [-k|--symlink] [--] [Dateien]

BESCHREIBUNG

Diese Handbuchseite dokumentiert das dpkg-name sh-Skript, dass eine einfache Möglichkeit bereitstellt, Debian-Pakete in ihren vollen Paketnamen umzubenennen. Ein voller Paketname besteht aus <Paket<gt>_<Version<gt>_<Architektur>.deb wie in der Kontrolldatei des Pakets spezifiziert. Der <Version>-Teil des Dateinamens besteht aus der Versionsinformation der Originalautoren optional gefolgt von einem Gedankenstrich und der Revisionsinformation.

OPTIONEN

-a, --no-architecture
    Der Zieldateiname wird keine Architekturinformation enthalten.

-k, --symlink
    Erstelle einen Symlink, anstatt zu verschieben.

-o, --overwrite
    Existierende Dateien werden überschrieben, falls sie den gleichen Namen wie der Zieldateiname haben.

-s, --subdir [Verzeichnis]
    Dateien werden in ein Unterverzeichnis verschoben. Falls das als Argument existierende Verzeichnis existiert, dann werden die Dateien in das Verzeichnis verschoben, andernfalls wird das Zielverzeichnis aus dem Section-Feld des Kontrollteils des Pakets extrahiert. Das Zielverzeichnis wird »unstable/binary-<Architektur>/<Bereich<gt>« sein. Falls der Bereich nicht in der Kontrolldatei gefunden werden kann, dann wird »no-section« angenommen, und in diesem Fall, wie auch für die Bereiche »non-free« und »contrib« ist das Zielverzeichnis »<Bereich<gt>/binary-<Architektur>«. Das Bereichsfeld muss nicht angegeben werden, daher werden viele Pakete ihren Weg in das »no-section«-Gebiet finden. Verwenden Sie diese Option mit Vorsicht, sie ist unordentlich.

-c, --create-dir
    Diese Option kann zusammen mit der -s-Option verwendet werden. Falls das Zielverzeichnis nicht gefunden werden kann, wird es automatisch erstellt. Verwenden Sie diese Option mit Vorsicht.

-h, --help
    Gebe einen Bedienungshinweis aus und beende sich erfolgreich.

-v, --version
    Gebe Versionsinformationen aus und beende sich erfolgreich.

-l, --license
    Gebe Copyright-Informationen aus und (eine Referenz auf GNU-)Lizenzinformationen und beende sich erfolgreich.

BEISPIELE

dpkg-name bar-foo.deb
    Die Datei »bar-foo.deb« wird in bar-foo_1.0-2_i386.deb oder etwas ähnliches (abhängig von der Information, die in dem Kontrollteil von »bar-foo.deb« ist) umbenannt.

find /root/debian/ -name '*.deb' | xargs -n 1 dpkg-name -a
    Alle Dateien mit der Endung »deb« im Verzeichnis /root/debian und seiner Unterverzeichnisse werden von dpkg-name - falls notwendig - ohne Architekturinformation umbenannt.

find -name '*.deb' | xargs -n 1 dpkg-name -a -o -s -c
    Machen Sie dies nicht. Ihr Archiv wird eine komplette Schweinerei werden, da viele Pakete nicht mit Bereichsinformationen kommen. Machen Sie dies nicht.

dpkg --build debian-tmp && dpkg-name -o -s .. debian-tmp.deb
    Dies kann beim Bau neuer Pakete verwendet werden.

FEHLER
Einige Pakete folgen nicht der Namensstruktur <Paket<gt>_<Version>_<Architektur>.deb. Pakete, die von dpkg-name umbenannt wurden, folgen dieser Struktur. Im allgemeinen hat diese keinen Einfluss darauf, wie Pakete von dselect(1)/dpkg(1) installiert werden, aber andere Installationswerkzeuge können von dieser Benennungsstruktur abhängen.

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2006 von Helge Kreutzmann <debian@helgefjell.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.

SIEHE AUCH
deb(5), deb-control(5), dpkg(1), dpkg-deb(1), find(1), xargs(1).

COPYRIGHT
Copyright 1995,1996 Erick Branderhorst. dpkg-name ist Freie Software; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt keine Haftung.